Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class DropObjectsRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.DropObjectsRequest

All Implemented Interfaces:
  DropRequest

public class DropObjectsRequest
extends Request
implements DropRequest

A Drop request that has a List of `Object`s to drop at a specific location on the target editpart The request can also return an object representing the result of the drop requiredDetail

Constructor Summary
`DropObjectsRequest()` Method CreateViewRequest.

Method Summary
`int` `getAllowedDetail()` Gets the allowed requiredDetail as in the DND event
`Point` `getLocation()` Returns the location.
`java.util.List` `getObjects()` Returns the objects.
`int` `getRequiredDetail()` gets the drag requiredDetail
`java.lang.Object` `getResult()` Returns the result of the drop request
`void` `setAllowedDetail(int allowedDetail)` Sets the allowed requiredDetail as in the DND event
`void` `setLocation(Point location)` Sets the location.
`void` `setObjects(java.util.List objects)` Sets the objects.
`void` `setRequiredDetail(int operation)` Sets the drag requiredDetail
`void` `setResult(java.lang.Object result)` Sets the result of the drop request Editpolicies can use this method to set the result of the request

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropObjectsRequest

    public DropObjectsRequest()

  Method CreateViewRequest.

Method Detail

### getObjects

    public final java.util.List getObjects()

  Returns the objects.

  Returns:
    List

### getLocation

    public Point getLocation()

  Returns the location.

  Specified by:
    `getLocation` in interface `DropRequest`
  Returns:
    Point

### getResult

    public java.lang.Object getResult()

  Returns the result of the drop request

  Returns:
    any DROP_* field of the `DND` interface

### getRequiredDetail

    public int getRequiredDetail()

  gets the drag requiredDetail

  Returns:
    int

### getAllowedDetail

    public int getAllowedDetail()

  Gets the allowed requiredDetail as in the DND event

  Returns:
    the allowed requiredDetail as in the DND event

### setObjects

    public final void setObjects(java.util.List objects)

  Sets the objects.

  Parameters:
    `objects` - The objects to set

### setLocation

    public void setLocation(Point location)

  Sets the location.

  Parameters:
    `location` - The location to set

### setResult

    public void setResult(java.lang.Object result)

  Sets the result of the drop request Editpolicies can use this method to set the result of the request

  Parameters:
    `result` - The result to set

### setRequiredDetail

    public void setRequiredDetail(int operation)

  Sets the drag requiredDetail

  Parameters:
    `operation` - can be any DROP_* field of the `DND` interface

### setAllowedDetail

    public void setAllowedDetail(int allowedDetail)

  Sets the allowed requiredDetail as in the DND event

  Parameters:
    `allowedDetail` - the allowed requiredDetail in the DND event

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.